[connection]
id={{ iface }}
uuid={{ iface | to_uuid }}
interface-name={{ iface }}
autoconnect=true
type={{ type }}
{% if master is defined and master != omit %}
master={{ master }}
slave-type={{ slave_type | mandatory }}
{% endif %}


{% if ip4 is defined and ip4 != omit %}
[ipv4]
method=manual
address1={{ ip4 }}
{% if gw4 is defined and gw4 != omit %}
gateway={{ gw4 }}
{% endif %}
{% if routes4 is defined and routes4 != omit %}
{% set i = 1 %}
{% for route, route_gw in routes4|dictsort %}
route{{ i }}={{ route }},{{ route_gw }}
{% set i = i + 1 %}
{% endfor %}
{% endif %}
{% endif %}

{% if ip6 is defined and ip6 != omit %}
[ipv6]
method=manual
address1={{ ip6 }}
{% if gw6 is defined and gw6 != omit %}
gateway={{ gw6 }}
{% endif %}
{% if routes6 is defined and routes6 != omit %}
{% set i = 1 %}
{% for route, route_gw in routes6|dictsort %}
route{{ i }}={{ route }},{{ route_gw }}
{% set i = i + 1 %}
{% endfor %}
{% endif %}
{% endif %}

{% if type == 'team' %}
[team]
{% if runner is defined and runner != omit %}
config={ "runner": { "name": "{{ runner }}" } }
{% endif %}
{% endif %}

{% if type == 'ethernet' or mtu is defined %}
[ethernet]
{% if mac_address is defined and mac_address != omit %}
mac-address={{ mac_address }}
{% endif %}
{% if mtu is defined and mtu != omit %}
mtu={{ mtu }}
{% endif %}
{% endif %}

{% if type == 'vlan' %}
[vlan]
id={{ id | mandatory }}
parent={{ parent | mandatory }}
{% endif %}

